Summary: TCP/IP traffic logger capable of logging TCP, UDP and ICMP.
Name: iplog
Version: 2.2.3
Release: 1
Serial: 1
Copyright: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
Source1: iplog.init
URL: http://ojnk.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: libpcap >= 0.4

%description
iplog's capabilities include the ability to detect TCP port
scans, TCP null scans, FIN scans, UDP and ICMP "smurf" attacks,
bogus TCP flags (used by scanners to detect the operating system in use), 
TCP SYN scans, TCP "Xmas" scans, ICMP ping floods, UDP scans, and IP
fragment attacks.

iplog is able to run in promiscuous mode and monitor traffic to all hosts
on a network.

%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/iplog.conf
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/iplog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog example-iplog.conf NEWS README
%ghost %config(noreplace) %{_sysconfdir}/iplog.conf
/etc/rc.d/init.d/iplog
%{_sbindir}/iplog
%{_mandir}/man5/iplog.conf.5*
%{_mandir}/man8/iplog.8*

%changelog
* Thu Jan  4 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 2.2.3
- Added an init script

* Fri Nov 24 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release

